%define packname  widgetTools

Name:             R-%{packname}
Version:          1.15.0 
Release:          2%{?dist}
Summary:          Bioconductor tools to support tcltk widgets

Group:            Applications/Productivity
License:          LGPLv2+
URL:              http://bioconductor.org/packages/bioc/2.2/bioc/html/widgetTools.html
Source0:          http://bioconductor.org/packages/2.2/bioc/src/contrib/widgetTools_1.15.0.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:        noarch

Requires(post):   R
Requires(postun): R
BuildRequires:    R-devel >= 2.5.0, tcl-devel, tk-devel

%description
This package contains tools to support the construction of tcltk widgets.

This library is part of the bioconductor (bioconductor.org) project

%prep
%setup -c -q -n %{packname}
%build

%install
%{__rm} -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/R/library
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library 
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
%{__rm} -rf %{buildroot}%{_datadir}/R/library/R.css

# PDF doesn't need to be executable
chmod -x %{packname}/inst/doc/widget.pdf

%check
# Can't run this. It says we need Biobase. Biobase really needs this, and tkWidgets to run its check.
# %{_bindir}/R CMD check %{packname}

%clean
%{__rm} -rf %{buildroot}

%post 
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
#%{_datadir}/R/library/%{packname}
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/latex
%doc %{_datadir}/R/library/%{packname}/doc
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/man
%{_datadir}/R/library/%{packname}/CONTENTS
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/R-ex
%{_datadir}/R/library/%{packname}/help

%changelog
* Tue Jan 08 2008 Pingou <pingoufc4@yahoo.fr> 1.15.0-2
- Change BR

* Mon Oct 08 2007 Pingou <pingoufc4@yahoo.fr> 1.15.0-1 
- Update to bioconductor 2.1 

* Tue Jul 10 2007 Pingou <pingoufc4@yahoo.fr> 1.12.0-12
- Add the requires on R

* Thu Jul 05 2007 Pingou <pingoufc4@yahoo.fr> 1.12.0-11
- Change in the post 

* Thu Jul 05 2007 Pingou <pingoufc4@yahoo.fr> 1.12.0-10
- Put the man pages as doc
- Correction on the post and postun macro (to fit with the new
R packaging guidelines)

* Tue Jul 03 2007 Pingou <pingoufc4@yahoo.fr> 1.12.0-9
- Test on the postun

* Tue Jul 03 2007 Pingou <pingoufc4@yahoo.fr> 1.12.0-8
- Change in the files section to add the dir

* Sun Jul 01 2007 Pingou <pingoufc4@yahoo.fr> 1.12.0-7
- Change in the files section

* Sat Jun 30 2007 Pingou <pingoufc4@yahoo.fr> 1.12.0-6
- Mark the html file as doc file

* Wed Jun 27 2007 Pingou <pingoufc4@yahoo.fr> 1.12.0-5
- Remove the DESCRIPTION file in /R/library

* Tue Jun 26 2007 Pingou <pingoufc4@yahoo.fr> 1.12.0-4
- Change _libdir to _datadir as it is a noarch package

* Mon Jun 25 2007 Pingou <pingoufc4@yahoo.fr> 1.12.0-3
- Change de %%doc to avoid redundancy

* Wed May 23 2007 Pingou <pingoufc4@yahoo.fr> 1.12.0-2
- Submitting to Fedora Extras

* Wed May 23 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.12.0-1
- initial package for Fedora
